Subject: Re: [Coco] cprep19 __FILE__ fix?
From: "Stephen H. Fischer" <[email-masked]>
To: "CoCoList for Color Computer Enthusiasts" <[email-masked]>
Date: Tue, 24 May 2011 22:12:09 -0700
List-Id: CoCoList for Color Computer Enthusiasts <coco.maltedmedia.com>

Hi,

Thanks Gene for hosting the "C" compiler files.

The __DATE__ should (must) be changed to return a date in the 2xxx range as 
it is "Today's" date.

My original suggestion, if I remember correctly, also included a creation of 
a web page for the "C" Compiler and a single download of the current set.

Then ALL questions about the "C" compiler must be directed to that page to 
create some order.

Now that we have CoCo Forums, differing opinions could be posted there.

SHF

----- Original Message ----- 
From: "gene heskett" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, May 24, 2011 9:32 PM
Subject: Re: [Coco] cprep19 __FILE__ fix?

> On Wednesday, May 25, 2011 12:14:02 AM Willard Goosey did opine:
>
>> It was pretty easy to add quotes around the strings returned by
>> __FILE__, __TIME__, and __DATE__.
>>
>> Gene had fixed __FILE__ in cprep22, but not TIME or DATE.  I haven't
>> migrated my fixes to cprep22 yet.
>>
>> So, I'm not sure what's next.  Should I just send this stuff back to
>> Gene and let him distribute it or what?
>>
>> Willard
>
> If you have fixes, by all means publish them by whatever means is best for
> you, Willard.  Yes, I worked on it some, enough to scratch my itch close 
> to
> 20 years ago now, but other than preaching that 19 blows the OEM version
> plumb into the next drainage, I don't consider it to be _my_ baby.
>
> Frankly, I am surprised it hasn't needed its diaper changed long before
> now.
>
> So with that, the "maintainer" flag for c.prep gets handed to Willard.
>
> OTOH, if you want to do those fixes, but don't have a handy server, smunch
> it up with ar2.0 or lha-2.0.x(whatever the last version was) (don't forget
> to update the README to reflect your work) and mail it back & I'll put it
> on my web page, which will be up till I fall over or they outlaw the
> internet.
>
> Actually, duplication is insurance, so put a copy on maltedmedia too, that
> way if I get run over by a bus, its still available.
>
> I am glad that someone is showing an interest in improving our C 
> toolchain.
>
> -- 
> Cheers, Gene

--
Coco mailing list
[email-masked]
http://five.pairlist.net/mailman/listinfo/coco